Bug 88812 - Mozilla: scrolling mouse wheel == back button
Mozilla: scrolling mouse wheel == back button
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Depends On:
Blocks: 90218
  Show dependency treegraph
Reported: 2003-04-14 11:04 EDT by Rik van Riel
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-08 10:11:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rik van Riel 2003-04-14 11:04:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
if I scroll the mouse button fast enough, mozilla interprets it like I clicked
the back button and goes back to the previous page I visited

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. open a web page
2. open the next (large) web page in the same tab
3. scroll the mouse wheel down like a crazed maniac in a hurry
4. sit back in amazement

Expected Results:  mozilla should scroll down the page, instead of go back to
the previous visited page

Additional info:
Comment 1 Warren Togami 2003-04-19 03:55:30 EDT
I've seen this behavior before on several occasions, but I could never reproduce
it willingly.  It seemed to be somehow related to the wheel mouse.
Comment 2 Christopher Blizzard 2003-05-05 13:13:41 EDT
Are you sure you're not accidentally hitting the ALT key somewhere in there? 
That will go back, for sure.
Comment 3 Christopher Blizzard 2003-05-05 13:19:57 EDT
Also, fwiw, I've never seen this.
Comment 4 Rik van Riel 2003-05-05 13:22:46 EDT
absolutely sure, I can do this without touching the keyboard

it's reproducible on the mailing list page on postoffice
Comment 5 Christopher Blizzard 2003-05-05 16:53:50 EDT
Can you post a url as a private comment?
Comment 7 Christopher Blizzard 2003-06-02 10:28:51 EDT
So I finally saw a friend of mine do this.  It turns out that what was happening
was when he was scrolling violently he would accidentally push down on the
scrolling wheel and would cause a middle click to happen.  If there was a url
selected (usually the last url loaded) it would paste it and it would appear to
"go back."

Is it possible that this is happening here?  Once again, I've never seen it
happen to me, but it happens to him all the time.
Comment 8 Rik van Riel 2003-06-02 10:42:15 EDT
I've seen that happen, too .. thinking about it more it's possible that this
also happened in the first bug report since I'm not sure whether or not I had
the URL the browser went back to in my cut'n'paste buffer somewhere...

Lets leave this bug as NEEDINFO until we know for sure ?
Comment 9 Christopher Blizzard 2003-06-02 11:15:29 EDT
Sure, let me know if you find anything more out.
Comment 10 Rik van Riel 2004-06-08 10:11:35 EDT
Haven't seen this in ages.
Comment 11 carlo serantonio 2005-03-10 19:01:50 EST
if I scroll the mouse button fast enough, mozilla interprets it like I
clicked the back button and goes back to the previous page I visited.
It's right!

Note You need to log in before you can comment on or make changes to this bug.